# nvda-word-nav
Додаток WordNav NVDA покращує вбудовану навігацію по словах, а також додає додаткові команди послівної навігації з різними визначеннями для цього слова.

Більшість текстових редакторів підтримують команду Control+стрілка вліво / Стрілка вправо для навігації по словах. Однак визначення слова міняється від однієї програми до іншої. Це особливо актуально для сучасних текстових редакторів на основі веб-технологій, таких як Monaco.
NVDA повинна знати визначення слова у програмі, щоб правильно вимовляти слова. Якщо NVDA не знає точного визначення, слова будуть пропущені, або вимовлені кілька разів. Більше того, деякі текстові веб-редактори поміщають курсор в кінець слова, а не в початок, що значно ускладнює редагування для незрячих користувачів. Для вирішення цієї проблеми я створив покращені команди навігації по словах, які беруть визначення слова з Notepad++ і не покладаються на визначення слів у програмі, а розбирають рядки на слова на стороні NVDA.
Команда Control + Стрілка вліво / Стрілка вправо навіть не передається у програму, що забезпечує узгодженість промови.

Зауважте, що прототип додатка WordNav раніше був частиною додатка [Tony's enhancements](https://github.com/mltony/nvda-tonys-enhancements/). Будь ласка, видаліть його або оновіть до [останньої стабільної версії Tony's enhancements](https://github.com/mltony/nvda-tonys-enhancements/releases/latest/download/tonysEnhancements.nvda-addon), щоб уникнути конфліктів.

Наразі WordNav підтримує п'ять визначень слова, призначених різним жестам:

- `Лівий Control + Стрілки`: Визначення Notepad++, яке розглядає буквено-цифрові символи як слова, а сусідні розділові знаки також розглядаються як слова. Це має бути найзручніше визначення слова для більшості користувачів.
- `Правий Control + Стрілки`: Тонке визначення слова поділяє `camelCaseIdentifiers` та `underscore separated identifiers` на окремі частини, що дозволяє курсору переходити до довгих ідентифікаторів.
- `Лівий Control + Windows + Стрілки`: Визначення довгого слова розглядає майже всі розділові знаки, розташовані поряд з текстом, як частину одного слова, тому шляхи типу `C:\directory\subdirectory\file.txt` будуть розглядатися як одне слово.
- `Правий Control + Windows + Стрілки`: Багатослівне визначення, яке групує кілька слів разом. Кількість слів налаштовується.
- Не призначено: користувацький регулярний вираз визначення слова: дозволяє користувачеві визначити регулярний користувацький вираз для меж слів.

Жести можуть бути налаштовані в панелі налаштувань WordNav (Навігація по словах).

## Примітки

- Наразі WordNav не модифікує жести `Control + Shift + Стрілка вліво / Стрілка вправо` для виділення слів, оскільки реалізація таких команд є значно складнішою.
- Якщо ви хочете використовувати функцію віртуальних робочих столів у Windows 10, не забудьте вимкнути клавіші Control+Windows+Стрілки або в панелі налаштувань WordNav, або в діалозі введення жестів NVDA.

## Завантаження

[WordNav остання стабільна версія](https://github.com/mltony/nvda-word-nav/releases/latest/download/wordNav.nvda-addon)
